/*==============================================================================*/
/*  Copyright (C) 2020, Heartland Data inc. All Rights Reserved.                */
/*                                                                              */
/*  Title  :   Ether Driver                                                     */
/*  EventID:   Via the driver                                                   */
/*  AppVer :   DT+ Ver1.00`                                                    */
/*  FileID :   42a                                                              */
/*  Version:   1.0                                                              */
/*  Author :   HLDC                                                             */
/*==============================================================================*/

package com.heartland.block;

public class DtTestPointDriver {
    //-------------------------------------------------------------------------
    //  DynamicTracar MaskCode
    //-------------------------------------------------------------------------
    
    static public DTdrv jni = new DTdrv();

    static public final void DtCloseSocket() {
    	jni.TPCloseSocket();
    }
	//-------------------------------------------------------------------------
    //  TestPoint InsertCode Method
    //-------------------------------------------------------------------------
    /* Normal TestPoint Method */
    static public final void DtTestPoint(int nBaseAddress, int nStepNumber){
    	TpBusOut( nBaseAddress, nStepNumber);
    }

    /* Performance TestPoint Method */
    static public final void DtTestPointIdle(int nIdleAddress, int nStepNumber){
        /* Call DynamicTracerDriver */
        TpBusOut(nIdleAddress, nStepNumber);
    }

    /* MemoryOutput TestPoint Method */
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, byte theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 1);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, char theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 2);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, short theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 2);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, int theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 4);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, long theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 8);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, boolean theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 1);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, byte[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 1, nLength);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, char[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 2, nLength);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, short[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 2, nLength);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, int[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 4, nLength);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, long[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 8, nLength);
    }
    static public final void DtTestPointValue(int nBaseAddress, int nStepNumber, boolean[] theValue, int nLength){
        /* Call DynamicTracerDriver */
    	jni.TPMemoryOutput(nBaseAddress, nStepNumber, theValue, 1, nLength);
    }

    /* Normal TestPoint Method */
    static public final void TpBusOut(int nAddress, int nData){
    	jni.TPBusOut(nAddress, nData);
    }
}
